﻿////
/// Copyright(C) 2020 Micronet Co. All Rights Reserved.
//

namespace EgMDiag
{
    /// <summary>
    /// 定義
    /// </summary>
    public static partial class CDefine
    {
        //エラーコード
        public const uint SUCCESS = 0x00000000;       //成功

        public const uint ERR_DLG_NOTTARGETTAG = 0x0031;     //診断用TagRefOutが登録されていない
        
        public const uint ERR_FATAL_ERROR = 0xffffffff;      //システムエラー

        //try-catch エラー
        public const uint ERR_TRY_CATCH = 0x00010000;           //try-catchでのエラー

        public const int INIT_STS_IDLE = 0;                     // サービス未初期化
        public const int INIT_STS_INIT = 1;                     // サービス初期化中
        public const int INIT_STS_INITRUN = 2;                  // サービス初期化中(RUN受信済み)
        public const int INIT_STS_INITEND = 3;                  // サービス初期化完了

        //public const int EM_MAINTE_RESET = 12601;                           // 復旧機能トリガーメッセージ
        //public const int EM_MAINTE_GATHER = 12602;                          // 収集機能トリガーメッセージ
        public const int EM_MAINTE_DIAG = 12603;                // 診断機能トリガーメッセージ
        
    }
    //// S.M.A.R.T.情報全般の構造体
    //public struct DiskExecInfo
    //{
    //    public string Date;             //時間
    //    public Dictionary<int, DiskInfo> diskInfos;//No ディスク情報 個別
    //}
    //// ディスク情報の構造体
    //public struct DiskInfo
    //{
    //    public string No;               //No
    //    public string Model;            //Model名
    //    public string Firmware;         //Firmware名
    //    public string SerialNumber;     //SerialNumber名
    //    public string DiskSize;         //Diskサイズ
    //    public string BufferSize;       //Bufferサイズ
    //    public string QueueDepth;       
    //    public string NumberOfSectors; 
    //    public string RotationRate;
    //    public string Interface;
    //    public string MajorVersion;     //メジャーバージョン
    //    public string MinorVersion;     //マイナーバージョン
    //    public string TransferMode;     
    //    public string PowerOnHours;
    //    public string PowerOnCount;
    //    public string HostWrites;
    //    public string Temperature;
    //    public string HealthStatus;
    //    public string Features;
    //    public string APMLevel;
    //    public string AAMLevel;
    //    public string DriveLetter;
    //    public Dictionary<int, SmartAttribute> SmartAttributes;    //S.M.A.R.T.情報
    //}

    //// S.M.A.R.T.属性の構造体
    //public struct SmartAttribute
    //{
    //    public int ID;               //S.M.A.R.T.情報のID キーとなる
    //    public string Status;           //CurとThrからチェックされたStatus情報
    //    public string Cur;              //カレント値
    //    public string Wor;              //Worst値
    //    public string Thr;              //Threshold値
    //    public string RawValues;        //生値
    //    public string AttributeName;    //名前・文字列
    //}
}
