﻿////
/// Copyright(C) 2020 Micronet Co. All Rights Reserved.
//
using System;

namespace EgMGather
{
    public class Gather
    {
        private EdgeService EGS = EdgeService.GetInstance();// RT-edgeのコード
        /// <summary>
        /// Gatherクラスの初期化
        /// </summary>
        public Gather()
        {
            //何かあれば
        }
        /// <summary>
        /// プロセスの起動
        /// </summary>
        /// <param name="FolderPath"></param>
        /// <param name="ListPath"></param>
        public void Execute(string FolderPath, string ListPath)
        {
            try
            {
                //string argFolderPath = "";                      //フォルダパス
                //string argListPath = "";                        //リストパス

                //if (FolderPath.Length > 0)                      //ファイルの指定がある場合は引数に追加 フォルダパス
                //    argFolderPath = @"-d=" + @FolderPath;

                //if (ListPath.Length > 0)                        //ファイルの指定がある場合は引数に追加 リストパス
                //    argListPath = @"-s=" + @ListPath;

                //実行 exe 呼び出し 非同期
                //Process proc = new Process();
                //proc.StartInfo.FileName = "MtnGather.exe";                      //プログラム
                //proc.StartInfo.Arguments = argFolderPath + " " + argListPath;   //引数
                //proc.EnableRaisingEvents = true;
                //proc.Exited += new EventHandler(proc_Exited);
                //bool ret = proc.Start();

                int ret = EGS.EGAPI.EgGatherExecute(FolderPath, ListPath);//API実行
                if (ret != 0)
                {
                    EGS.SetErrorID(CDefine.ERR_NOT_START_PROCESS);
                    EGS.PrintLog("ERR", "MtnGather.exe の起動に失敗しました。 ファイルが存在するか確認してください");

                }
            }
            catch (Exception ex)
            {
                EGS.SetErrorID(CDefine.ERR_NOT_START_PROCESS);
                EGS.PrintLog("ERR", "MtnGather.exe の起動に失敗しました。 ファイルが存在するか確認してください");
                EGS.PrintLog("ERR", "FATAL ERROR : {0}", System.Reflection.MethodBase.GetCurrentMethod().Name + " : " + ex.Message);
            }
        }

        public void proc_Exited(object sender, EventArgs e)
        {
            ///this.Invoke(evt);
        }
    }
}
