﻿////
/// Copyright(C) 2020 Micronet Co. All Rights Reserved.
//

namespace EgMReset
{
    /// <summary>
    /// 定義
    /// </summary>
    public static partial class CDefine
    {
        //エラーコード
        public const uint SUCCESS = 0x00000000;       //成功

        public const uint ERR_NOT_START_PROCESS = 0x00000009; //プロセスの起動に失敗


        public const uint ERR_NOT_EXIST_PATH = 0x00000021; //指定したファイルが存在しない為実行できない

        public const uint ERR_FATAL_ERROR = 0xffffffff;      //システムエラー

        //try-catch エラー
        public const uint ERR_TRY_CATCH = 0x00010000;           //try-catchでのエラー

        public const int INIT_STS_IDLE = 0;                     // サービス未初期化
        public const int INIT_STS_INIT = 1;                     // サービス初期化中
        public const int INIT_STS_INITRUN = 2;                  // サービス初期化中(RUN受信済み)
        public const int INIT_STS_INITEND = 3;                  // サービス初期化完了

        public const int EM_MAINTE_RESET = 12601;                           // 復旧機能トリガーメッセージ
    }
}
